fix {utils} | R Documentation

## Fix an Object

### Description

`fix` invokes `edit` on `x` and then assigns the new (edited) version of `x` in the user's workspace.

### Usage

    fix(x, ...)

### Arguments

`x` | the name of an R object, as a name or a character string.
`...` | arguments to pass to editor: see `edit`.

### Details

The name supplied as `x` need not exist as an R object, when a function with no arguments and an empty body is supplied for editing.

### See Also

`edit`, `edit.data.frame`

### Examples

    ## Not run:
     ## Assume 'my.fun' is a user defined function :
     fix(my.fun)
     ## now my.fun is changed
     ## Also,
     fix(my.data.frame) # calls up data editor
     fix(my.data.frame, factor.mode="char") # use of ...
    ## End(Not run)

[Package Contents]